﻿using System.Runtime.Serialization;

namespace ProjectMonorail.Scripts.Exceptions
{
    /// <summary>
    /// Класс, описывающий ошибку, что файл пустой
    /// </summary>
    [Serializable]
    public class FileDoesNotExistException : ApplicationException
    {
        public FileDoesNotExistException() : base() { }
        public FileDoesNotExistException(string message) : base(message) { }
        public FileDoesNotExistException(string message, Exception exception) : base(message, exception) { }
        protected FileDoesNotExistException(SerializationInfo info, StreamingContext contex) : base(info, contex) { }
    }
}
