﻿using System.Runtime.Serialization;

namespace ProjectMonorail.Scripts.Exceptions
{
    /// <summary>
    /// Класс, описывающий ошибку, что по указанной позиции нет элемента
    /// </summary>
    [Serializable]
    public class FileEmptyException : ApplicationException
    {
        public FileEmptyException() : base() { }
        public FileEmptyException(string message) : base(message) { }
        public FileEmptyException(string message, Exception exception) : base(message, exception) { }
        protected FileEmptyException(SerializationInfo info, StreamingContext contex) : base(info, contex) { }
    }
}
